Validate meter number

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Atlas API allows you to easily meter number by parsing in the provider, meter_no and meter_type to the request body as shown in the example below.

Example Request

var axios = require('axios');
var qs = require('qs');
var data = qs.stringify({
  'provider': 'EKEDC',
  'meter_no': '54140454402',
  'meter_type': 'prepaid' 
});
var config = {
  method: 'post',
  url: 'https://integrations.getravenbank.com/v1/electricity/validate_meter',
  headers: { },
  data : data
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});

Example Response

{
  "status": "success",
  "message": "Electricity meter verified",
  "data": {
    "meter_no": "54140454402",
    "cust_name": "Firstname Lastname",
    "address": "16 Oluwale STREET AJAH",
    "district": "AJAH",
    "meter_type": "Prepaid"
  }
}
Body Params
string
string
string
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json